close all; clear all; format compact; format long;

% SEED
     randseed = sum(100*clock);
     rand('state',randseed);


% GENERATE DISSIMILARITY MATRIX FROM RANDOM POINT CONFIG IN UNIT DISK
     Npoints=7; radius=0.5;
     zorig=f_genpoints_radius(Npoints,  radius);
     
     % DRAW ORIG CONF
     fh=figure;  
     subplot(131); showz(zcanon(zorig));  title('points original canonical');
     
     % CREATE DISSIMILARITY MATRIX
     DEL=hdistmat(zorig);


% FIND RANDOM INITIAL CONFIGURATION
     zinit=f_genpoints_radius(Npoints,  radius);


% DRAW INIT CONF
     subplot(132);
     showz(zcanon(zinit));  title('points initial canonical');


% DO MDS-PD
     eE=1e-6; eEd=eE/10; ez=1e-5; TM=500; verb=1;
     [Zfinal,out_stress]                          = h2MDS_soft(zinit,DEL,eE,eEd,ez,TM,verb);


% DRAW FINAL CONF
     subplot(133);
     showz(zcanon(Zfinal)); title('points final canonical');

set(fh,'Position',[0,1,1024,600]);
